net.sf.jasperreports.engine.data

## Class ExcelDataSource

- java.lang.Object
- - net.sf.jasperreports.engine.data.JRAbstractTextDataSource
  - - net.sf.jasperreports.engine.data.AbstractXlsDataSource
    - - net.sf.jasperreports.engine.data.AbstractPoiXlsDataSource
      - - net.sf.jasperreports.engine.data.ExcelDataSource

- All Implemented Interfaces:
    JRDataSource, JRRewindableDataSource

      public class ExcelDataSource
      extends AbstractPoiXlsDataSource

  This data source implementation reads an XLSX or XLS stream.

  The default naming convention is to name report fields COLUMN_x and map each column with the field found at index x in each row (these indices start with 0). To avoid this situation, users can either specify a collection of column names or set a flag to read the column names from the first row of the XLSX or XLS file.

  Version:
    $Id: ExcelDataSource.java 6986 2014-03-26 09:50:48Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.data.AbstractXlsDataSource

      `columnNames, dateFormat, numberFormat, sheetSelection, useFirstRowAsHeader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExcelDataSource(java.io.File file)` Creates a data source instance from an XLSX or XLS file with the default autodetect Excel format.
    `ExcelDataSource(java.io.File file, ExcelFormatEnum format)` Creates a data source instance from an XLSX or XLS file.
    `ExcelDataSource(java.io.InputStream is)` Creates a data source instance from an XLSX or XLS data input stream with the default autodetect Excel format.
    `ExcelDataSource(java.io.InputStream is, ExcelFormatEnum format)` Creates a data source instance from an XLSX or XLS data input stream.
    `ExcelDataSource(JasperReportsContext jasperReportsContext, java.lang.String location)` Creates a datasource instance that reads XLSX or XLS data from a given location.
    `ExcelDataSource(JasperReportsContext jasperReportsContext, java.lang.String location, ExcelFormatEnum format)` Creates a datasource instance that reads XLSX or XLS data from a given location.
    `ExcelDataSource(java.lang.String location)`
    `ExcelDataSource(java.lang.String location, ExcelFormatEnum format)`
    `ExcelDataSource(org.apache.poi.ss.usermodel.Workbook workbook)` Creates a data source instance from a workbook with the default autodetect Excel format.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.poi.ss.usermodel.Workbook` | `loadWorkbook(java.io.InputStream inputStream)`

    - ### Methods inherited from class net.sf.jasperreports.engine.data.AbstractPoiXlsDataSource

      `checkReadStarted, close, getFieldValue, moveFirst, next`

    - ### Methods inherited from class net.sf.jasperreports.engine.data.AbstractXlsDataSource

      `getColumnNames, getDateFormat, getNumberFormat, getSheetSelection, setColumnIndexes, setColumnNames, setColumnNames, setDateFormat, setNumberFormat, setSheetSelection, setUseFirstRowAsHeader`

    - ### Methods inherited from class net.sf.jasperreports.engine.data.JRAbstractTextDataSource

      `convertNumber, convertStringValue, getConvertBean, getDatePattern, getFormattedDate, getFormattedNumber, getLocale, getNumberPattern, getTimeZone, setDatePattern, setLocale, setLocale, setNumberPattern, setTextAttributes, setTimeZone, setTimeZone`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExcelDataSource

          public ExcelDataSource(org.apache.poi.ss.usermodel.Workbook workbook)

      Creates a data source instance from a workbook with the default autodetect Excel format.
      Parameters:
        `workbook` - the workbook

    - #### ExcelDataSource

          public ExcelDataSource(java.io.InputStream is)
                          throws JRException,
                                 java.io.IOException

      Creates a data source instance from an XLSX or XLS data input stream with the default autodetect Excel format.
      Parameters:
        `is` - an input stream containing XLSX or XLS data
      Throws:
        `JRException`
        `java.io.IOException`

    - #### ExcelDataSource

          public ExcelDataSource(java.io.InputStream is,
                         ExcelFormatEnum format)
                          throws JRException,
                                 java.io.IOException

      Creates a data source instance from an XLSX or XLS data input stream.
      Parameters:
        `is` - an input stream containing XLSX or XLS data
        `format` - the Excel format
      Throws:
        `JRException`
        `java.io.IOException`

    - #### ExcelDataSource

          public ExcelDataSource(java.io.File file)
                          throws JRException,
                                 java.io.IOException

      Creates a data source instance from an XLSX or XLS file with the default autodetect Excel format.
      Parameters:
        `file` - a file containing XLSX or XLS data
      Throws:
        `java.io.FileNotFoundException`
        `JRException`
        `java.io.IOException`

    - #### ExcelDataSource

          public ExcelDataSource(java.io.File file,
                         ExcelFormatEnum format)
                          throws JRException,
                                 java.io.IOException

      Creates a data source instance from an XLSX or XLS file.
      Parameters:
        `file` - a file containing XLSX or XLS data
        `format` - the Excel format
      Throws:
        `java.io.FileNotFoundException`
        `JRException`
        `java.io.IOException`

    - #### ExcelDataSource

          public ExcelDataSource(JasperReportsContext jasperReportsContext,
                         java.lang.String location)
                          throws JRException,
                                 java.io.IOException

      Creates a datasource instance that reads XLSX or XLS data from a given location.
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `location` - a String representing XLSX or XLS data source
      Throws:
        `java.io.IOException`
        `JRException`

    - #### ExcelDataSource

          public ExcelDataSource(JasperReportsContext jasperReportsContext,
                         java.lang.String location,
                         ExcelFormatEnum format)
                          throws JRException,
                                 java.io.IOException

      Creates a datasource instance that reads XLSX or XLS data from a given location.
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `location` - a String representing XLSX or XLS data source
        `format` - the Excel format
      Throws:
        `java.io.IOException`
        `JRException`

    - #### ExcelDataSource

          public ExcelDataSource(java.lang.String location)
                          throws JRException,
                                 java.io.IOException

      Throws:
        `JRException`
        `java.io.IOException`
      See Also:
        `ExcelDataSource(JasperReportsContext, String)`

    - #### ExcelDataSource

          public ExcelDataSource(java.lang.String location,
                         ExcelFormatEnum format)
                          throws JRException,
                                 java.io.IOException

      Throws:
        `JRException`
        `java.io.IOException`
      See Also:
        `ExcelDataSource(JasperReportsContext, String)`

  - ### Method Detail

    - #### loadWorkbook

          protected org.apache.poi.ss.usermodel.Workbook loadWorkbook(java.io.InputStream inputStream)
                                                               throws java.io.IOException

      Specified by:
        `loadWorkbook` in class `AbstractPoiXlsDataSource`
      Throws:
        `java.io.IOException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com